Highlighted

Photoshop Elements will not work after update to Catalina

New Here ,
Apr 14, 2020

Copy link to clipboard

Copied

Hello,

 

im from Germany and I updated my MacBook to Catalina. After that, Photoshop Elements won't work anymore. This problem is already known, and it says you should write a email to Grp-ElementsSupport@adobe.com. I did that 2 weeks ago but didn't received an answer. What shall I do? 

thanks

dave 

TOPICS
New user

Views

299

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Photoshop Elements will not work after update to Catalina

New Here ,
Apr 14, 2020

Copy link to clipboard

Copied

Hello,

 

im from Germany and I updated my MacBook to Catalina. After that, Photoshop Elements won't work anymore. This problem is already known, and it says you should write a email to Grp-ElementsSupport@adobe.com. I did that 2 weeks ago but didn't received an answer. What shall I do? 

thanks

dave 

TOPICS
New user

Views

300

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Apr 14, 2020 0
Adobe Community Professional ,
Apr 14, 2020

Copy link to clipboard

Copied

Which version of Photoshop Elements are you using?

 

Only Photoshop Elements 2020 is compatible with macOS Catalina.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 14, 2020 1
Adobe Community Professional ,
Apr 14, 2020

Copy link to clipboard

Copied

Did you check compatibility before you upgraded to Catalina?  See link below.

https://helpx.adobe.com/photoshop-elements/kb/elements-mac-64bit-compatibility.html

 

Did you restart your computer after upgrading your OS?

 

PSE versions older than 2020 require an older operating system.  Either upgrade to 2020 or revert to your former OS.   See links below.

 

Nancy O'Shea, ACP
Alt-Web.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 14, 2020 0